<?php
/**
 * Fitness Gym Coach functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Fitness Gym Coach
 */


if ( ! function_exists( 'fitness_gym_coach_support' ) ) :
	function fitness_gym_coach_support() {

		load_theme_textdomain( 'fitness-gym-coach', get_template_directory() . '/languages' );
		
		add_theme_support( 'html5', array(
			'comment-form',
			'comment-list',
			'gallery',
			'caption',
		) );

		add_theme_support( 'custom-background', apply_filters( 'fitness_gym_coach_custom_background', array(
            'default-color' => 'ffffff',
            'default-image' => '',
        )));
		
		add_theme_support( 'wp-block-styles' );

		add_editor_style( 'style.css' );

		define('FITNESs_GYM_COaCH_BUY_NOW',__('https://www.themescarts.com/products/solar-wordpress-theme/','fitness-gym-coach'));
		define('FITNESs_GYM_COaCH_FOOTER_BUY_NOW',__('https://www.themescarts.com/products/fitness-gym-coach/','fitness-gym-coach'));

	}
endif;
add_action( 'after_setup_theme', 'fitness_gym_coach_support' );

if ( ! function_exists( 'fitness_gym_coach_setup' ) ) :
	function fitness_gym_coach_setup() {
		add_theme_support( 'automatic-feed-links' );
		add_theme_support( 'align-wide' );
		add_theme_support( 'woocommerce' );
		add_theme_support( 'wp-block-styles' );
		add_theme_support(
			'custom-logo',
			array(
				'height'      => 192,
				'width'       => 192,
				'flex-width'  => true,
				'flex-height' => true,
			)
		);
		add_theme_support( 'block-nav-menus' );
		add_theme_support( 'experimental-link-color' );
		register_nav_menus(
			array(
				'primary' => __( 'Primary Navigation', 'fitness-gym-coach' ),
			)
		);
	}
endif;
add_action( 'after_setup_theme', 'fitness_gym_coach_setup' );

/**
 * Enqueue scripts and styles.
 */
function fitness_gym_coach_scripts() {

	$min  = defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ? '' : '.min';

	$theme_version = wp_get_theme()->get( 'Version' );

	$deps = array( 'dashicons' );
	global $wp_styles;
	if ( in_array( 'wc-blocks-vendors-style', $wp_styles->queue ) ) {
		$deps[] = 'wc-blocks-vendors-style';
	}

	wp_enqueue_style( 'fitness-gym-coach-style', get_stylesheet_uri(), $deps, date( 'Ymd-Gis', filemtime( get_theme_file_path( 'style.css' ) ) ) );

	$fitness_gym_coach_enable_animations = get_option( 'fitness_gym_coach_enable_animations', true );

    if ( $fitness_gym_coach_enable_animations ) {
        //animation
		wp_enqueue_script( 'animate-js', get_theme_file_uri( '/js/animate.js' ), array( 'jquery' ), true );

		wp_enqueue_style( 'animate-css', get_template_directory_uri().'/css/animate.css' );
    }
	wp_style_add_data('fitness-gym-coach', 'rtl', 'replace');

	wp_enqueue_style( 'animatecss', get_template_directory_uri() . '/css/animate.css');

	wp_enqueue_script( 'wow-script', get_template_directory_uri() . '/js/wow.js', array('jquery'));

	wp_enqueue_script('fitness-gym-coach-main-script', get_template_directory_uri() . '/js/script.js', array('jquery'), true);

	//font-awesome
	wp_enqueue_style( 'fontawesome', get_template_directory_uri() . '/css/font-awesome/css/all.css', array(), '5.15.3' );

}
add_action( 'wp_enqueue_scripts', 'fitness_gym_coach_scripts' );

/**
 * Enqueue admin scripts and styles.
 */
function fitness_gym_coach_admin_scripts() {

	wp_enqueue_style(
		'fitness-gym-coach-admin-css',
		get_template_directory_uri() . '/notice-getstart/theme-info.css',
		[],
		wp_get_theme()->get( 'Version' )
	);

	// Enqueue JS
	wp_enqueue_script(
		'fitness-gym-coach-admin-js',
		get_template_directory_uri() . '/notice-getstart/theme-info.js',
		[],
		wp_get_theme()->get( 'Version' ),
		true // Load in footer
	);

}
add_action( 'admin_enqueue_scripts', 'fitness_gym_coach_admin_scripts' );

/**
 * Load core file.
 */
require_once get_template_directory() . '/core/init.php';

/** 
 * Customizer
 */
require get_template_directory() . '/core/section-pro/customizer.php';

/** 
 * Animation
 */

require get_template_directory() . '/animation-setting.php';

/**
 * Current theme path.
 * Current theme url.
 * Current theme version.
 * Current theme name.
 * Current theme option name.
 */
define( 'FITNESS_GYM_COACH_PATH', trailingslashit( get_template_directory() ) );
define( 'FITNESS_GYM_COACH_URL', trailingslashit( get_template_directory_uri() ) );
define( 'FITNESS_GYM_COACH_VERSION', '1.0.0' );
define( 'FITNESS_GYM_COACH_THEME_NAME', 'fitness-gym-coach' );
define( 'FITNESS_GYM_COACH_OPTION_NAME', 'fitness-gym-coach' );

/**
 * The core theme class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require FITNESS_GYM_COACH_PATH . 'notice-getstart/main.php';


/**
 * Begins execution of the theme.
 *
 * @since    1.0.0
 */
function fitness_gym_coach_run() {
	new Fitness_Gym_Coach();
}
fitness_gym_coach_run();